import { PipeTransform } from '@angular/core';
import * as i0 from "@angular/core";
/**
 * A pipe that will search an array to see if on of its objects contains specific values on provided keys.
 *
 * Usage:
 * value | arrayContainsOne : ['prop1', 'prop2', ...]
 *
 * Examples:
 * 	{{
 * 		[
 * 			{ title: 'This is the title', description: 'This is the description' },
 * 			{ title: 'This is the title' }
 * 		] | arrayContainsOne: ['description']
 * 	}}
 * 	Output: true
 */
export declare class ArrayContainsOnePipe implements PipeTransform {
    transform(values: unknown[], checkProps?: string[]): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<ArrayContainsOnePipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<ArrayContainsOnePipe, "arrayContainsOne", false>;
}
